Contents
Index 🔎︎

# Chr Function

Returns the character that corresponds to the specified character code.

### Syntax:

Chr(Expression As Integer)

### Return value:

Znakovni niz

### Parameters:

Expression: a numeric expression that represents a valid 8-bit ASCII value (0-255) or a 16-bit Unicode value.

When VBA compatibility mode is enabled (OPTION VBASUPPORT 1), Expression is a numeric expression that represents a valid 8-bit ASCII value (0-255) only.

Use the Chr$ function to send special control sequences to a printer or to another output source. You can also use it to insert quotation marks in a string expression.

## Error codes:

5 Invalid procedure call

6 Overflow, when VBA compatibility mode is enabled and expression is greater than 255.

### Example:

            Sub ExampleChr
                ' This example inserts quotation marks (ASCII value 34) in a string.
                MsgBox "A "+ Chr$(34)+"short" + Chr$(34)+" trip."
                ' The printout appears in the dialog as: A "short" trip.
            End Sub

Related Topics

ASC